cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_access_log \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_access_log",
"params": {
"count": 3,
"offset": 0
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_access_log"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_access_log",
"params": {
"count": 3,
"offset": 0
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/get_access_log',
params: {count: 3, offset: 0}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_access_log', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"jsonrpc": "2.0",
"result": {
"data": [
{
"city": "Local Town",
"country": "Local Country",
"id": 45,
"ip": "127.0.0.1",
"result": "success",
"timestamp": 1575876682576
},
{
"city": "Local Town",
"country": "Local Country",
"id": 44,
"ip": "127.0.0.1",
"result": "success",
"timestamp": 1575876459309
},
{
"city": "Local Town",
"country": "Local Country",
"id": 43,
"ip": "127.0.0.1",
"result": "disabled_tfa",
"timestamp": 1575546252774
}
],
"records_total": 34
},
"testnet": false,
"usDiff": 1417,
"usIn": 1575903572350348,
"usOut": 1575903572351765
}Account Management
private/get_access_log
Retrieves a log of API access attempts and authentication events for the authenticated account. The log includes information such as IP addresses, timestamps, API methods called, and authentication status.
Use this method to monitor account security, review API usage patterns, and identify unauthorized access attempts. Results can be paginated using the offset and count parameters.
GET
/
private
/
get_access_log
cURL
Authorizations
ApiKeyOAuth2
Call public/auth with grant_type: coinbase_cdp and a CDP JWT. Send the returned access_token as Authorization: Bearer.
Query Parameters
The offset for pagination, default - 0
Example:
10
Number of requested items, default - 10, maximum - 1000
Required range:
1 <= x <= 1000Was this page helpful?
⌘I